# MPE_Draw_point

Draws a point on an X Windows display

## Synopsis

    #include "mpe.h"
    int MPE_Draw_point( handle, x, y, color )
    MPE_XGraph handle;
    int        x, y;
    MPE_Color  color;

## Input Parameters

| handle | MPE graphics handle
| x,y | pixel position to draw. Coordinates are upper-left origin (standard X11)
| color | Color index value. See `MPE_MakeColorArray`. By default, the colors `MPE_WHITE`, `MPE_BLACK`, `MPE_RED`, `MPE_YELLOW`, `MPE_GREEN`, `MPE_CYAN`, `MPE_BLUE`, `MPE_MAGENTA`, `MPE_AQUAMARINE`, `MPE_FORESTGREEN`, `MPE_ORANGE`, `MPE_VIOLET`, `MPE_BROWN`, `MPE_PINK`, `MPE_CORAL` and `MPE_GRAY` are defined.

## Notes For Fortran Interface

The Fortran interface to this routine is different from its C counterpart and it has an additional argument, ierr, at the end of the argument list, i.e. the returned function value (the error code) in C interface is returned as the additional argument in Fortran interface. The Fortran interface is invoked with the CALL statement.

All MPI and MPE objects, MPI_Comm, MPE_XGraph and MPE_Color, are of type INTEGER in Fortran.

Location:mpe_graphics.c